import { render } from 'ink';
import React from 'react';
import { Base } from './base.js';
import * as components from './components.js';
import * as hooks from './hooks.js';
import { Terse } from './terse.js';
import * as utils from './utils.js';
export { Base, Terse, hooks, components, utils };
export const types = {};
export const addType = (name, report) => {
    types[name] = report;
};
addType('base', Base);
addType('terse', Terse);
export const report = async (Type, tap, config) => {
    if (typeof Type === 'string') {
        if (types.hasOwnProperty(Type)) {
            Type = types[Type];
        }
        else {
            throw new TypeError(`unknown report type: ${Type}`);
        }
    }
    tap.register();
    // always show the cursor when we finish
    tap.on('complete', () => process.stdout.write('\x1b[?25h'));
    render(React.createElement(Type, { test: tap, config: config }), {
        patchConsole: false,
    });
    return true;
};
//# sourceMappingURL=index.js.map